/*
 * @(#)NntpExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.nntp.*;
import com.jscape.inet.mime.*;
import java.util.Enumeration;
import java.io.*;

public class NntpExample {
    
    static BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
    
    // get messages from newsgroup
    public void getMessages(String hostname, String newsgroup, String username, String password) throws NntpException, MimeException, IOException {
        Nntp nntp = new Nntp();
        nntp.setHostname(hostname);
        if(username != null && password != null) {
            nntp.setUsername(username);
            nntp.setPassword(password);
        }
        nntp.connect();
        nntp.setNewsgroup(newsgroup);
        while(true) {
            NntpArticleHeader header = nntp.getNextHeader();
            if(header == null) {
                break;
            }
            else {
                NntpArticle article = nntp.getArticle(header.getID());
                System.out.println(new String(article.getMessage()));
                System.out.print("enter for next message or type QUIT to quit: ");
                String command = reader.readLine();
                if(command.equalsIgnoreCase("quit")) {
                    break;
                }
            }
        }
        nntp.disconnect();
    }
    
    public static void main(String[] args) {
        String hostname = null;
        String newsgroup = null;
        String username = null;
        String password = null;
        
        try {
            System.out.print("Enter Nntp hostname (e.g. news.domain.com): ");
            hostname = reader.readLine();
            System.out.print("Enter Newsgroup (e.g. comp.lang.java.programmer): ");
            newsgroup = reader.readLine();
            System.out.print("Enter Username (enter key if no authorization needed): ");
            username = reader.readLine();
            if(username.trim().length() > 0) {
                System.out.print("Enter Password: ");
                password = reader.readLine();
            }
            NntpExample example = new NntpExample();
            example.getMessages(hostname,newsgroup,username,password);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

