/*
 * @(#)RloginExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import java.io.*;
import com.jscape.inet.bsd.*;
import java.util.Vector;

public class RloginExample {
    public static void login(String hostname, String username, String terminal) {
        Vector list = new Vector();
        Rlogin rlogin = new Rlogin(hostname, username, username, terminal);
        try {
            rlogin.connect();
            rlogin.execute();
            OutputReader reader = new OutputReader(rlogin.getInputStream(), System.out,list);
            InputWriter writer = new InputWriter(System.in, rlogin.getOutputStream(),list);
            reader.setPriority(Thread.currentThread().getPriority() + 1);
            reader.start();
            writer.setDaemon(true);
            writer.start();
            try {
                reader.join();
                writer.interrupt();
            }
            catch(InterruptedException e) {
                e.printStackTrace();
            }
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    public static void main(String[] args) {
        String hostname;
        String username;
        String terminal;
        
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter Rlogin hostname (e.g. domain.com): ");
            hostname = reader.readLine();
            System.out.print("Enter Rlogin username: ");
            username = reader.readLine();
            System.out.print("Enter terminal type (enter for dumb terminal): ");
            terminal = reader.readLine();
            RloginExample example = new RloginExample();
            example.login(hostname,username,terminal);
        }
        catch(Exception e) {
            System.exit(1);
            e.printStackTrace();
        }
        
    }
    
}
