/*
 * @(#)TimedURLConnectionExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.util.TimedURLConnection;
import java.io.*;
import java.net.*;

public class TimedURLConnectionExample {
    public InputStream getInputStream(URL url, int timeout) throws IOException {
        URLConnection conn = url.openConnection();
        return TimedURLConnection.getInputStream(conn,timeout);
    }
    
    public static void main(String[] args) {
        URL url;
        int timeout;
        
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter URL (e.g. http://www.yahoo.com): ");
            url = new URL(reader.readLine());
            System.out.print("Enter timeout (in milliseconds): ");
            timeout = Integer.parseInt(reader.readLine());
            TimedURLConnectionExample example = new TimedURLConnectionExample();
            long start = System.currentTimeMillis();
            example.getInputStream(url,timeout);
            long stop = System.currentTimeMillis();
            System.out.println("Retrieved input stream in " + (stop - start) + " milliseconds");
        }
        catch(Exception e) {
            e.printStackTrace();
            System.exit(1);
        }
    }
}

